For the complete documentation index, see llms.txt. This page is also available as Markdown.

Transfers

The Transfer APIs provide users the entries to tranfer the NFTs easily.

Transfer Actions

The Transfer APIs provide two methods to help users transfer NFTs, including the tranfer or batch transfer NFTs.

Transfer NFT

The Transfer NFT provides users with the entry to transfer the NFT.

Transfer NFT

post
/v1/transfers/customizable

Transfer NFT by admin

Authorizations
Header parameters
AuthorizationstringRequired

Bearer Open_JWT

Body
amountintegerOptional
chainstring · enumRequiredPossible values:
contract_addressstringRequired
contract_typestring · enumRequiredPossible values:
token_idstringRequired
transfer_from_addressstringRequired
transfer_to_addressstringRequired
Responses
200

OK

application/json
amountintegerOptional
app_idintegerOptional
block_reasoninteger · enumOptionalPossible values:
chain_idintegerOptional
chain_typeintegerOptional
contractstringOptional
contract_typeintegerOptional
created_atstringOptional
errorstringOptional
hashstringOptional
idintegerOptional
statusintegerOptional

0-pending, 1-success, 2-failed

token_idstringOptional
transfer_fromstringOptional
transfer_tostringOptional
tx_idintegerOptional
updated_atstringOptional
post/v1/transfers/customizable
POST /v1/transfers/customizable HTTP/1.1
Host: api.nftrainbow.cn
Authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 159

{
  "amount": 1,
  "chain": "conflux",
  "contract_address": "text",
  "contract_type": "erc721",
  "token_id": "text",
  "transfer_from_address": "text",
  "transfer_to_address": "text"
}
{
  "amount": 1,
  "app_id": 1,
  "block_reason": 1,
  "chain_id": 1,
  "chain_type": 1,
  "contract": "text",
  "contract_type": 1,
  "created_at": "text",
  "deleted_at": {
    "time": "text",
    "valid": true
  },
  "error": "text",
  "hash": "text",
  "id": 1,
  "status": 1,
  "token_id": "text",
  "transfer_from": "text",
  "transfer_to": "text",
  "tx_id": 1,
  "updated_at": "text"
}
Name
Meaning
Param Type
Data Type

Authorization

Bearer Token

Header

string

Name
Meaning
Param Type
Type
Required

contract_type

The type of the contract, which includes erc721 and erc1155

body

string

token_id

The id of the NFT

body

string

chain

The chain type. The types include conflux and conflux_test

body

string

transfer_from_address

The sender of the sending NFT

body

string

contract_address

The address of the contract

body

string

transfer_to_address

The receiver of the sending NFT

body

string

amount

The amount of the sending NFT

body

integer

Name
Meaning
Type

created_at

The time of creating the item in the database

string

updated_at

The time of updating the item in the database

string

deleted_at

The time of deleting the item in the database

string

id

The id of the item in the database

integer

app_id

The id of the app

integer

chain_type

The type of the chain. 1-CFX, 2-ETH.

integer

chain_id

The id of the chain. 1029-mainnet, 1-testnet

integer

contract

The address of the contract

string

contract_type

The type of the contract. 1-ERC721, 2-ERC1155

integer

token_id

The id of the token

string

transfer_from

The sender of the sending NFT

string

transfer_to

The receiver of the sending NFT

string

amount

The amount of the sending NFT

integer

status

The status of the transaction. 0-pending, 1-success, 2-failed

integer

hash

The hash of the transaction

string

tx_id

The id of the transaction

integer

error

The error during executing the transaction

string

The token_id is the number like "123", which type is string

Batch Transfer NFTs

The Batch Transfer NFTs API provides users with the entry to transfer several NFTs once.

Batch Transfer NFTs

post
/v1/transfers/customizable/batch

Transfer several NFTs once

Authorizations
Header parameters
AuthorizationstringRequired

Bearer Open_JWT

Body
chainstring · enumRequiredPossible values:
contract_addressstringRequired
contract_typestring · enumRequiredPossible values:
Responses
200

OK

application/json
amountintegerOptional
app_idintegerOptional
block_reasoninteger · enumOptionalPossible values:
chain_idintegerOptional
chain_typeintegerOptional
contractstringOptional
contract_typeintegerOptional
created_atstringOptional
errorstringOptional
hashstringOptional
idintegerOptional
statusintegerOptional

0-pending, 1-success, 2-failed

token_idstringOptional
transfer_fromstringOptional
transfer_tostringOptional
tx_idintegerOptional
updated_atstringOptional
post/v1/transfers/customizable/batch
POST /v1/transfers/customizable/batch HTTP/1.1
Host: api.nftrainbow.cn
Authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 171

{
  "chain": "conflux",
  "contract_address": "text",
  "contract_type": "erc721",
  "items": [
    {
      "amount": 1,
      "token_id": "text",
      "transfer_from_address": "text",
      "transfer_to_address": "text"
    }
  ]
}
[
  {
    "amount": 1,
    "app_id": 1,
    "block_reason": 1,
    "chain_id": 1,
    "chain_type": 1,
    "contract": "text",
    "contract_type": 1,
    "created_at": "text",
    "deleted_at": {
      "time": "text",
      "valid": true
    },
    "error": "text",
    "hash": "text",
    "id": 1,
    "status": 1,
    "token_id": "text",
    "transfer_from": "text",
    "transfer_to": "text",
    "tx_id": 1,
    "updated_at": "text"
  }
]
Name
Meaning
Param Type
Data Type

Authorization

Bearer Token

Header

string

Name
Meaning
Param Type
Type
Required

chain

The chain type. The types include conflux and conflux_test

body

string

contract_type

The type of the contract, which includes erc721 and erc1155

body

string

contract_address

The address of the contract

body

string

items

The mint tasks

body

The array of the TransferItem

The TransferItem construct is presented in the following.

Name
Meaning
Param Type
Type
Required

transfer_from_address

The sender of the sending NFT

body

string

transfer_to_address

The receiver of the sending NFT

body

string

amount

The amount of the NFTs

body

integer

token_id

The id of the token

body

string

The response is the array of transferTask construct. The construct is showed in the following.

Name
Meaning
Type

created_at

The time of creating the item in the database

string

updated_at

The time of updating the item in the database

string

deleted_at

The time of deleting the item in the database

string

id

The id of the item in the database

integer

app_id

The id of the app

integer

chain_type

The type of the chain. 1-CFX, 2-ETH.

integer

chain_id

The id of the chain. 1029-mainnet, 1-testnet

integer

contract

The address of the contract

string

contract_type

The type of the contract. 1-ERC721, 2-ERC1155

integer

status

The status of the transaction. 0-pending, 1-success, 2-failed

integer

hash

The hash of the transaction

string

tx_id

The id of the transaction

integer

error

The error during executing the transaction

string

transfer_to

The receiver of the sending NFT

string

transfer_from

The sender of the sending NFT

string

token_id

The id of the token

integer

amount

The amount of the sending NFT

integer

Obtain Informations

Obtain transferred NFT list

The Obtain transferred NFT list API provides users with the entry to query the transferred NFTs information.

Obtain the transferred NFTs list

get
/v1/transfers/

Get the NFT list containing the transferred NFT information.

Authorizations
Query parameters
pageintegerOptional

page

limitintegerOptional

limit

Header parameters
AuthorizationstringRequired

Bearer Open_JWT

Responses
200

OK

application/json
countintegerOptional
get/v1/transfers/
GET /v1/transfers/ HTTP/1.1
Host: api.nftrainbow.cn
Authorization: text
Accept: */*
{
  "count": 1,
  "items": [
    {
      "amount": 1,
      "app_id": 1,
      "block_reason": 1,
      "chain_id": 1,
      "chain_type": 1,
      "contract": "text",
      "contract_type": 1,
      "created_at": "text",
      "deleted_at": {
        "time": "text",
        "valid": true
      },
      "error": "text",
      "hash": "text",
      "id": 1,
      "status": 1,
      "token_id": "text",
      "transfer_from": "text",
      "transfer_to": "text",
      "tx_id": 1,
      "updated_at": "text"
    }
  ]
}
Name
Meaning
Param Type
Data Type

Authorization

Bearer Token

Header

string

Name
Meaning
Param Type
Data Type
Required
Default

page

Page Query

query

integer

1

limit

Page Query

query

integer

10

Name
Meaning
Type

count

The number of the tranferred NFTs

integer

items

The nfts information

[]TransferTask

The TransferTask Struct is listed as follow:

Name
Meaning
Type

created_at

The time of creating the item in the database

string

updated_at

The time of updating the item in the database

string

deleted_at

The time of deleting the item in the database

string

id

The id of the item in the database

integer

amount

The amount of the sending NFTs

integer

app_id

The id of the app

integer

chain_id

The id of the chain. 1029-mainnet, 1-testnet

integer

chain_type

The type of the chain. 1-CFX, 2-ETH

integer

contract

The address of the nft

string

contract_type

The type of the contract. 1-ERC721, 2-ERC1155

integer

error

The error during executing tx

string

hash

The hash of the transaction

string

transfer_to

The receiver of the sending NFT

string

status

The status of the transaction. 0-pending, 1-success, 2-failed

integer

token_id

The id of the token

string

transfer_from

The sender of the sending NFT

string

tx_id

The id of the transaction

integer

Obtain Detialed NFT Transfer Information

The Obtain Detialed NFT Transfer Information API provides users with the entry to query the transferred NFT information according to its id.

Transfer NFT detail

get
/v1/transfers/{id}

Get NFT Transfer detail info

Authorizations
Path parameters
idintegerRequired

id

Header parameters
AuthorizationstringRequired

Bearer Open_JWT

Responses
200

OK

application/json
amountintegerOptional
app_idintegerOptional
block_reasoninteger · enumOptionalPossible values:
chain_idintegerOptional
chain_typeintegerOptional
contractstringOptional
contract_typeintegerOptional
created_atstringOptional
errorstringOptional
hashstringOptional
idintegerOptional
statusintegerOptional

0-pending, 1-success, 2-failed

token_idstringOptional
transfer_fromstringOptional
transfer_tostringOptional
tx_idintegerOptional
updated_atstringOptional
get/v1/transfers/{id}
GET /v1/transfers/{id} HTTP/1.1
Host: api.nftrainbow.cn
Authorization: text
Accept: */*
{
  "amount": 1,
  "app_id": 1,
  "block_reason": 1,
  "chain_id": 1,
  "chain_type": 1,
  "contract": "text",
  "contract_type": 1,
  "created_at": "text",
  "deleted_at": {
    "time": "text",
    "valid": true
  },
  "error": "text",
  "hash": "text",
  "id": 1,
  "status": 1,
  "token_id": "text",
  "transfer_from": "text",
  "transfer_to": "text",
  "tx_id": 1,
  "updated_at": "text"
}
Name
Meaning
Param Type
Data Type

Authorization

Bearer Token

Header

string

Name
Meaning
Param Type
Data Type
Required

id

transfer id

path

integer

Name
Meaning
Type

created_at

The time of creating the item in the database

string

updated_at

The time of updating the item in the database

string

deleted_at

The time of deleting the item in the database

string

id

The id of the item in the database

integer

amount

The amount of the sending NFTs

integer

app_id

The id of the app

integer

chain_id

The id of the chain. 1029-mainnet, 1-testnet

integer

chain_type

The type of the chain. 1-CFX, 2-ETH

integer

contract

The address of the nft

string

contract_type

The type of the contract. 1-ERC721, 2-ERC1155

integer

error

The error during executing tx

string

hash

The hash of the transaction

string

transfer_to

The receiver of the sending NFT

string

status

The status of the transaction. 0-pending, 1-success, 2-failed

integer

token_id

The id of the token

string

transfer_from

The sender of the sending NFT

string

tx_id

The id of the transaction

integer

Last updated